Package com.ocient.jdbc.proto

# Enum ClientWireProtocol.PerformanceMode

java.lang.Object
java.lang.Enum<ClientWireProtocol.PerformanceMode>
com.ocient.jdbc.proto.ClientWireProtocol.PerformanceMode

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<ClientWireProtocol.PerformanceMode>`, `java.lang.constant.Constable`

Enclosing class:
  ClientWireProtocol

    public static enum ClientWireProtocol.PerformanceMode
    extends Enum<ClientWireProtocol.PerformanceMode>
    implements com.google.protobuf.ProtocolMessageEnum

     Determines how result sets are processed by the server.

Protobuf enum `xg.cmdcomp.PerformanceMode`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`OFF` | All rows are emitted.
`ROOT_OP_INST_DISCARD` | Rows are discarded by the root operator instance.
`UNRECOGNIZED` |

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `OFF_VALUE` | All rows are emitted.
`static int` | `ROOT_OP_INST_DISCARD_VALUE` | Rows are discarded by the root operator instance.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ClientWireProtocol.PerformanceMode` | `forNumber​(int value)` |
`static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()` |
`int` | `getNumber()` |
`com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()` |
`static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.PerformanceMode>` | `internalGetValueMap()` |
`static ClientWireProtocol.PerformanceMode` | `valueOf​(int value)` | Deprecated.
`static ClientWireProtocol.PerformanceMode` | `valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.PerformanceMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
`static ClientWireProtocol.PerformanceMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final ClientWireProtocol.PerformanceMode OFF

     All rows are emitted.

`OFF = 0;`

### ROOT_OP_INST_DISCARD

public static final ClientWireProtocol.PerformanceMode ROOT_OP_INST_DISCARD

     Rows are discarded by the root operator instance. FETCH_DATA responses
     return a single DEM.

`ROOT_OP_INST_DISCARD = 1;`

### UNRECOGNIZED

public static final ClientWireProtocol.PerformanceMode UNRECOGNIZED

## Field Details

### OFF_VALUE

public static final int OFF_VALUE

     All rows are emitted.

`OFF = 0;`

See Also:
  Constant Field Values

### ROOT_OP_INST_DISCARD_VALUE

public static final int ROOT_OP_INST_DISCARD_VALUE

     Rows are discarded by the root operator instance. FETCH_DATA responses
     return a single DEM.

`ROOT_OP_INST_DISCARD = 1;`

See Also:
  Constant Field Values

## Method Details

### values

public static ClientWireProtocol.PerformanceMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClientWireProtocol.PerformanceMode valueOf​(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static ClientWireProtocol.PerformanceMode valueOf​(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ClientWireProtocol.PerformanceMode forNumber​(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<ClientWireProtocol.PerformanceMode> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ClientWireProtocol.PerformanceMode valueOf​(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null